- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Update an Api Hub instance. The following fields in the ApiHubInstance can be updated:
- [disableSearch][ApiHubInstance.config.disable_search]
- [vertexLocation][ApiHubInstance.config.vertex_location]
- [agentRegistrySyncConfig][ApiHubInstance.config.agent_registry_sync_config]
The updateMask should be used to specify the fields being updated.
HTTP request
PATCH https://apihub.googleapis.com/v1/{apiHubInstance.name=projects/*/locations/*/apiHubInstances/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
apiHubInstance.name |
Identifier. Format: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of ApiHubInstance.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/apihub.readwritehttps://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the name resource:
apihub.apiHubInstances.update
For more information, see the IAM documentation.